List Processor Runs
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.
The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.
Query parameters
Filters processor runs by their status. If not provided, no filter is applied.
The status of a processor run:
"PENDING"- The processor run has not started yet"PROCESSING"- The processor run is in progress"PROCESSED"- The processor run completed successfully"FAILED"- The processor run encountered an error"CANCELLED"- The processor run was cancelled
Filters processor runs by the processor ID. If not provided, runs for all processors are returned.
Example: "ex_BMdfq_yWM3sT-ZzvCnA3f"
Filters processor runs by the processor type. If not provided, runs for all processor types are returned.
Example: "EXTRACT"
Filters processor runs by the source ID. The source ID corresponds to the entity that created the processor run.
Example: "workflow_run_123"
Filters processor runs by the source that created them. If not provided, runs from all sources are returned.
The source of the processor run:
"ADMIN"- Created by admin"BATCH_PROCESSOR_RUN"- Created from a batch processor run"PLAYGROUND"- Created from playground"WORKFLOW_CONFIGURATION"- Created from workflow configuration"WORKFLOW_RUN"- Created from a workflow run"STUDIO"- Created from Studio"API"- Created via API
Filters processor runs by the name of the file. Only returns processor runs where the file name contains this string.
Example: "invoice"
The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.
Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.
example: "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="
Response
You will get a list of summaries for each processor run. These are shortened versions of the full ProcessorRun object.
To get the full object, use the Get ProcessorRun endpoint.
The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.
Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.
example: "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="

